- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
Resource and Permission Management
- /
- Associate/Disassociate Application Resources to Tenant
¶ Associate/disassociate application resources to tenants
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.
Associate or unassociate resources to tenants by resource unique identifier and permission group
¶ Method name
ManagementClient.associate_tenant_resource
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| appId | string | yes | - | Application ID | 60b49eb83fd80adb96f26e68 |
| association | boolean | yes | - | Whether to associate application resources | |
| code | string | yes | - | Resource Code | |
| tenantId | string | no | - | Tenant ID | 60b49eb83fd80adb96f26e68 |
¶ Request Response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsSuccessDto | Whether the operation is successful |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}
¶ Data Structure
¶ IsSuccessDto
| Name | Type | Is it required | Description | Example value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |
